<?php
/******************************************************************************
* purple_cpg_bridge admin_menu file                                           *
*******************************************************************************
*                                                                             *
*   Written by mygoggie                                                       *
*   $Id: admin_menu.php                                                       *
*   $Source: www.purplescroll.com/ v$                                         *
*   $Revision: 1.1.0 $                                                        *
*   $Date: 2011-02-10 $                                                       *
*   $Author: mygoggie $                                                       *
*                                                                             *
* @copyright Copyright  2007-2010, purplescroll.com, All rights reserved.    *
*                                                                             *
* This file is part of the purple_cpg_bridge plugin for e107                  *
*                                                                             *
* The purple_cpg_bridge handler for e107 is free software: you can            *
* redistribute it and/or modify it under the terms of the GNU General         *
* Public License as published by the Free Software Foundation, either         *
* version 3 of the License, or (at your option) any later version.            *
*                                                                             *
* The purple_cpg_bridge plugin for e107 is distributed in the hope that it    *
* will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty *
* of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
* GNU General Public License for more details.                                *
*                                                                             *
* You should have received a copy of the GNU General Public License           *
* along with the purple_cpg_bridge plugin for e107.                           *
*                                                                             *
* If not, see <http://www.gnu.org/licenses/>.                                 *
*                                                                             *
******************************************************************************/

// Protect the file from direct access
if(!defined("e107_INIT")){ exit; }

// Set the e_token
define('e_TOKEN_FREEZE', true);

// Load some stuff we need
require_once('../../class2.php');
require_once(e_ADMIN."auth.php");
require_once(PURPLE_CPG_BRIDGE_HANDLER_PATH.'purple_cpg_bridge_class.php');

// Check to see if the current user has admin permissions for this plugin
if (!getperms("P"))
{
	// No permissions set, redirect to site front page
	header("location:".e_BASE."index.php");
	exit;
}

// Load the language files
$plugin_lan = e_PLUGIN."purple_cpg_bridge/languages/".e_LANGUAGE."/admin/lan_admin_purple_cpg_bridge_".e_LANGUAGE.".php";
if (e_LANGUAGE != "English" && file_exists($plugin_lan))
{
    @include_lan($plugin_lan);
}
else
{
    @include_lan(e_PLUGIN."purple_cpg_bridge/languages/English/admin/lan_admin_purple_cpg_bridge_English.php");
}

// Instantiate objects
$purple_cpg_bridgeObject = purple_cpg_bridge::get_instance();   // Object that contains all information regarding purple_cpg_bridge

// Declare some stuff
global  $pageid,                    // Set the pageid for the menu as global variable (first pageid is set by admin_config.php)
        $BUTTON,
        $BUTTON_OVER;

// Load 'purple_cpg_bridge' prefs
$purple_cpg_bridgeObject->loadPrefs();

$BUTTON = "<tr><td><div class='menu_button'><a {ONCLICK} >{LINK_TEXT}</a></div></td></tr>\n";
$BUTTON_OVER = "<tr><td><div class='menu_button_pushed'><a {ONCLICK} >{LINK_TEXT}</a></div></td></tr>\n";

// Introduction menu option
$var['admin_menu_01']['text'] = LAN_AD_PURPLE_CPG_BRIDGE_MENU_01;
$var['admin_menu_01']['link'] = 'admin_purple_cpg_bridge_intro.php';

if ($purple_cpg_bridgeObject->array_Purple_cpg_bridge['installed'] == FALSE)
{
    // Site config menu option
    $var['admin_menu_02']['text'] = LAN_AD_PURPLE_CPG_BRIDGE_MENU_02;
    $var['admin_menu_02']['link'] = 'admin_purple_cpg_bridge_install.php';
}

if ($purple_cpg_bridgeObject->array_Purple_cpg_bridge['installed'] == TRUE)
{
    // User config menu option
    $var['admin_menu_03']['text'] = LAN_AD_PURPLE_CPG_BRIDGE_MENU_03;
    $var['admin_menu_03']['link'] = 'admin_purple_cpg_bridge_userclass.php';

    // Check for updates menu option
    $var['admin_menu_20']['text'] = LAN_AD_PURPLE_CPG_BRIDGE_MENU_20;
    $var['admin_menu_20']['link'] = 'admin_purple_cpg_bridge_update.php';

}

// Put the readme.txt at the end of the list
$var['admin_menu_30']['text'] = LAN_AD_PURPLE_CPG_BRIDGE_MENU_30;
$var['admin_menu_30']['link'] = 'admin_purple_cpg_bridge_readme.php';

// Show the admin menu with a caption from the language file
$caption = LAN_AD_PURPLE_CPG_BRIDGE_MENU_00;
show_admin_menu($caption, $pageid, $var);

?>