<?php
/******************************************************************************
* Site configuration                                                          *
*******************************************************************************
*                                                                             *
*  Written by mygoggie                                                        *
*  $Id: admin_login_site.php                                                  *
*  $Source: www.purplescroll.com/ v$                                          *
*  $Revision: 1.1.0 $                                                         *
*  $Date: 2011-02-10 $                                                        *
*  $Author: mygoggie $                                                        *
* @copyright Copyright  2010, purplescroll.com, All rights reserved.         *
*                                                                             *
* This file is part of the puprle_login plugin for e107                       *
*                                                                             *
* The purple_cpg_bridge plugin for e107 is free software: you can             *
* redistribute it and/or modify it under the terms of the GNU General         *
* Public License as published by the Free Software Foundation, either         *
* version 3 of the License, or (at your option) any later version.            *
*                                                                             *
* The purple_cpg_bridge plugin for e107 is distributed in the hope that it    *
* will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty *
* of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
* GNU General Public License for more details.                                *
*                                                                             *
* You should have received a copy of the GNU General Public License           *
* along with the purple_cpg_bridge plugin for e107.                           *
*                                                                             *
* If not, see <http://www.gnu.org/licenses/>.                                 *
*                                                                             *
******************************************************************************/

// Ensure this program is loaded in admin theme before calling' class2
$eplug_admin = TRUE;

// Set the e_token
define('e_TOKEN_FREEZE', true);

//' class2.php is the heart of e107, always include it first to give access to e107 constants and variables
require_once('../../class2.php');

// Check to see if the current user has admin permissions for this plugin
if (!getperms("P"))
{
	// No permissions set, redirect to site front page
	header("location:".e_BASE."index.php");
	exit;
}

// Include auth.php rather than header.php ensures an admin user is logged in
require_once(e_ADMIN.'auth.php');

// Declare some stuff we need
global $pageid;                  // Page ID used in admin_menu.php

// File that verifies $_POST data
$fileverify = e_SELF;

// Set the active menu option for admin_menu.php
$pageid = 'admin_menu_02';

// Load the required plugin class file
require_once(PURPLE_CPG_BRIDGE_HANDLER_PATH.'purple_cpg_bridge_class.php');
require_once(PURPLE_CPG_BRIDGE_HANDLER_PATH.'purple_file_class.php');
require_once(e_HANDLER.'userclass_class.php');

// Instantiate objects
$purple_cpg_bridgeObject = purple_cpg_bridge::get_instance();   // Object that contains all information regarding purple_cpg_bridge
$purple_fileObject = purple_file::get_instance();                 // Object that contains all the file handling methods
$purple_userclassObject = new e_userclass();                      // Object that contains all information regarding userclasses

// Get the location of the Coppermine gallery installation
$basePath = $_SERVER['DOCUMENT_ROOT'];
$arrayPath = $purple_fileObject->get_files($basePath, $fmask = PURPLE_CPG_FILE_TO_FIND, $omit='standard', $recurse_level = 5, $current_level = 0);
$realPath = $purple_fileObject->getRealPath($arrayPath[0]['path']);
$relativePath = $purple_fileObject->buildPath($basePath,$realPath);

// If the submit button is hit, clean the data and update the array array_Purple_login
// Once updated, write the data to the database
if (isset($_POST['button_submit']))
{

    // Clean the returned array
    $array = $tp->toDB($_POST);

    // Get the real path to the Coppermine installation
    $CPGrealpath = $purple_fileObject->getRealPath($array['CPGpath']);

    // Check if the file exists
    $arrayPath = $purple_fileObject->get_files($CPGrealpath, $fmask = PURPLE_CPG_FILE_TO_FIND, $omit='standard', $recurse_level = 5, $current_level = 0);

    if (!empty($arrayPath))
    {
        // Include link handler file
        require_once(e_HANDLER.'plugin_class.php');
        require_once(PURPLE_CPG_BRIDGE_HANDLER_PATH.'purple_handlers_class.php');

        // Instantiate object
        $purpleLinkObject = new e107plugin();
        $purpleDB = new db();
        $purpleHandlersObject = purple_handlers::get_instance();

        // Get the domain path to Coppermine 'index.php' file
        $CPGfilepath = SITEURL.$purpleHandlersObject->addTrailingSlash($array['CPGpath']).'index.php';

        // Create menu item that points to the CPG starting file
        $purpleLinkObject->manage_link('add', $CPGfilepath, LAN_AD_PURPLE_CPG_BRIDGE_SITELINK, $link_class=0);

        // Copy the CPG bridge files
        $purple_cpg_bridgeObject->copyBridgeFile($CPGrealpath);

        // --------------------------------------------------------------------------------->
        // Set the e107 paths and menus
        // --------------------------------------------------------------------------------->
        // Load 'purple_cpg_bridge' prefs
        $purple_cpg_bridgeObject->loadPrefs();

        // Set the Coppermine path
        $purple_cpg_bridgeObject->array_Purple_cpg_bridge['coppermine_path'] = $CPGfilepath;

        // Set the e107 home menu link path
        $purple_cpg_bridgeObject->array_Purple_cpg_bridge['e107_path'] = $tp->toDB(SITEURL);

        // Define the e107 forum menu link name
        // At the moment there is no way to make the name 'Forum' language independent as it is hardcoded into the plugin
        $purple_cpg_bridgeObject->array_Purple_cpg_bridge['e107_forum_name'] = 'Forum';

        // Set the e107 forum menu link path
        // Get the value from the database as there is no forum constant defined
        $purpleDB->db_Select("plugin","plugin_path", "WHERE plugin_name='Forum'", false);
        $row = $purpleDB->db_Fetch();

        // Get the realpath to the forum plugin
        // We could always do a file search, but this is a bit faster
        $pathForum = $purple_fileObject->getRealPath(SITEURLBASE.e_PLUGIN_ABS.$row['plugin_path']).'/forum.php';

        $purple_cpg_bridgeObject->array_Purple_cpg_bridge['e107_forum_path'] = $pathForum;

        // Save 'purple_cpg_bridge' prefs
        $purple_cpg_bridgeObject->savePrefs();

        // Go to the next HTML page
        header('location:'.PURPLE_CPG_BRIDGE_PATH.'admin_purple_cpg_bridge_userclass.php');

    } else {

        // Pop warning window up
        $text = LAN_AD_PURPLE_CPG_BRIDGE_HANDLER_CLASS_A02.'"'.$CPGpath.'"'.LAN_AD_PURPLE_CPG_BRIDGE_HANDLER_CLASS_A04.LAN_AD_PURPLE_CPG_BRIDGE_HANDLER_CLASS_A05;

        message_handler('P_ALERT', $text, $line = 0, $file = "");

        // Reload the HTML page
        header('location:'.e_SELF);
    }

    // Clear the variable to update
    unset($_POST);

}


// Define the user interface HTML 
$text = "
<div>
    <form name='form_sites' id='form_sites' action='".e_SELF."' method='post'>
		<div class='config'>
            <div class='header'>
                ".LAN_AD_PURPLE_CPG_BRIDGE_300."
			</div>
			<div class='form_intro'>
                ".LAN_AD_PURPLE_CPG_BRIDGE_301."
            </div>
            <div class='spacer'>
                &nbsp;
            </div>
            <div class='heading3 coloured_grey'>
                ".LAN_AD_PURPLE_CPG_BRIDGE_302."
            </div>
            <div id='row_siteID' class='form_row coloured_purple'>
				<div class='form_row_cell_title content'>
					".LAN_AD_PURPLE_CPG_BRIDGE_310."
				</div>
				<div class='form_row_cell content'>
                    <input id='siteID' name='CPGpath' class='form_input' size='40' type='text' value='{$relativePath}' />
				</div>
				<div class='form_row_image content'>
                    <a href='#siteID_INFO_ID' class='fancybox'>
                        <img src='images/help.gif' title='".LAN_AD_PURPLE_CPG_BRIDGE_310_INFO."' alt='".LAN_AD_PURPLE_CPG_BRIDGE_HELP.": ".LAN_AD_PURPLE_CPG_BRIDGE_310."' />
                    </a>
                    <div class='hidden'>
                        <div id='siteID_INFO_ID'>
                            <p>
                                ".LAN_AD_PURPLE_CPG_BRIDGE_311_INFO."
                            </p>
                        </div>
                    </div>
                </div>
			</div>
            <div class='spacer'>
                &nbsp;
            </div>
            <div class='form_row coloured_grey'>
                <div class='form_row_button_group'>
                    <div class='form_row_button'><input id='button_submit' name='button_submit' class='purple_button' type='submit' value='".LAN_AD_PURPLE_CPG_BRIDGE_390."' /></div>

            </div>
		</div>
    </form>
</div>
";

// Display the $text string into a rendered table with a caption from the language file
$caption = LAN_AD_PURPLE_CPG_BRIDGE_NAME.'::'.LAN_AD_PURPLE_CPG_BRIDGE_MENU_02;
$ns->tablerender($caption, $text);



// Display the footer of the current website
require_once(e_ADMIN.'footer.php');

// ------------------------------------------------------------------------------
// headerjs()
// Load purple_cpg_bridge CCS file into HTML page
// ------------------------------------------------------------------------------
function headerjs()
{
    echo "\n<!-- * Plugin purple_cpg_bridge CSS file  * -->\n";
    echo "<link rel='stylesheet' href='".e_PLUGIN_ABS."purple_cpg_bridge/src/purple_cpg_bridge_admin.css' type='text/css' />\n";

// End of function
}

?>