<?php
/******************************************************************************
* purple_cpg_bridge admin intro config file                                   *
*******************************************************************************
*                                                                             *
*   Written by mygoggie                                                       *
*   $Id: admin_purple_cpg_bridge_intro.php                                    *
*   $Source: www.purplescroll.com/ v$                                         *
*   $Revision: 1.1.0 $                                                        *
*   $Date: 2011-02-10 $                                                       *
*   $Author: mygoggie $                                                       *
*                                                                             *
* @copyright Copyright  2007-2010, purplescroll.com, All rights reserved.    *
*                                                                             *
* This file is part of the purple_cpg_bridge plugin for e107                  *
*                                                                             *
* The purple_cpg_bridge plugin for e107 is free software: you can             *
* redistribute it and/or modify it under the terms of the GNU General         *
* Public License as published by the Free Software Foundation, either         *
* version 3 of the License, or (at your option) any later version.            *
*                                                                             *
* The purple_cpg_bridge plugin for e107 is distributed in the hope that it    *
* will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty *
* of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
* GNU General Public License for more details.                                *
*                                                                             *
* You should have received a copy of the GNU General Public License           *
* along with the purple_cpg_bridge plugin for e107.                           *
*                                                                             *
* If not, see <http://www.gnu.org/licenses/>.                                 *
*                                                                             *
******************************************************************************/

// Set the e_token
define('e_TOKEN_FREEZE', true);

// Load some stuff we need
require_once('../../class2.php');
require_once(e_ADMIN."auth.php");

// Check to see if the current user has admin permissions for this plugin
if (!getperms("P"))
{
	// No permissions set, redirect to site front page
	header("location:".e_BASE."index.php");
	exit;
}

// Declare some stuff we need
global $pageid;                  // Page ID used in admin_menu.php
global $pref;                    // e107 Preference array

// Set the active menu option for admin_menu.php
$pageid = 'admin_menu_01';

// Load the required plugin class file
require_once(PURPLE_CPG_BRIDGE_HANDLER_PATH.'purple_cpg_bridge_class.php');

// Declare objects
$purple_cpg_bridgeObject = purple_cpg_bridge::get_instance();

// Load 'purple_cpg_bridge' prefs
$purple_cpg_bridgeObject->loadPrefs();

if ($_POST['button_install'])
{
    // Go to the install page
    header("Status: 200");
    header( 'location:'.PURPLE_CPG_BRIDGE_PATH.'admin_purple_cpg_bridge_install.php');

    // Clear the variable to update
    unset($_POST);
}

if ($_POST['button_cancel'])
{
    // Go to the plugin manager
    header("Status: 200");
    header( 'location:'.e_ADMIN.'plugin.php');

    // Clear the variable to update
    unset($_POST);
}

// Define the form to display
$purple_cpg_bridge_text = '
    <div>
        <form class="config" name="intro" action="'.e_SELF.'" method="post">
            <fieldset>
                <div>
                    <div class="header">
                        '.LAN_AD_PURPLE_CPG_BRIDGE_INTRO_01.'
                    </div>
                    <div id="text">
                        ';
   $purple_cpg_bridge_text .= "<p>".LAN_AD_PURPLE_CPG_BRIDGE_INTRO_03."</p>";
   $purple_cpg_bridge_text .= "<p>".LAN_AD_PURPLE_CPG_BRIDGE_INTRO_10."</p>";
   $purple_cpg_bridge_text .= "<p>".LAN_AD_PURPLE_CPG_BRIDGE_INTRO_14."<a href='http://www.purplescroll.com' target='_BLANK' title='".LAN_AD_PURPLE_CPG_BRIDGE_SURF."'>".LAN_AD_PURPLE_CPG_BRIDGE_INTRO_15."</a>".LAN_AD_PURPLE_CPG_BRIDGE_INTRO_12."</p>";   
   $purple_cpg_bridge_text .= '<img class="float_right logo" src="'.e_PLUGIN.'purple_cpg_bridge/images/purple_cpg_bridge_logo.png" alt="purple_cpg_bridge logo" />';
   $purple_cpg_bridge_text  .= "<p class='heading3'>".LAN_AD_PURPLE_CPG_BRIDGE_INTRO_20."</p>";
   $purple_cpg_bridge_text  .= "<ol>";
   $purple_cpg_bridge_text  .= "<li>".LAN_AD_PURPLE_CPG_BRIDGE_INTRO_21."</li>";
   $purple_cpg_bridge_text  .= "<li>".LAN_AD_PURPLE_CPG_BRIDGE_INTRO_22."</li>";
   $purple_cpg_bridge_text  .= "<li>".LAN_AD_PURPLE_CPG_BRIDGE_INTRO_23."</li>";
   $purple_cpg_bridge_text  .= "<li>".LAN_AD_PURPLE_CPG_BRIDGE_INTRO_24."</li>";
   $purple_cpg_bridge_text  .= "<li>".LAN_AD_PURPLE_CPG_BRIDGE_INTRO_25."</li>";
   $purple_cpg_bridge_text  .= "<li>".LAN_AD_PURPLE_CPG_BRIDGE_INTRO_26."</li>";
   $purple_cpg_bridge_text  .= "<li>".LAN_AD_PURPLE_CPG_BRIDGE_INTRO_27."</li>";
   $purple_cpg_bridge_text  .= "<li>".LAN_AD_PURPLE_CPG_BRIDGE_INTRO_28."</li>";
   $purple_cpg_bridge_text  .= "<li>".LAN_AD_PURPLE_CPG_BRIDGE_INTRO_29."</li>";
   $purple_cpg_bridge_text  .= "<li>".LAN_AD_PURPLE_CPG_BRIDGE_INTRO_30."</li>";
   $purple_cpg_bridge_text  .= "<li>".LAN_AD_PURPLE_CPG_BRIDGE_INTRO_31."</li>";
   $purple_cpg_bridge_text  .= "<li>".LAN_AD_PURPLE_CPG_BRIDGE_INTRO_32."</li>";
   $purple_cpg_bridge_text  .= "<li>".LAN_AD_PURPLE_CPG_BRIDGE_INTRO_33."</li>";
   $purple_cpg_bridge_text  .= "<li>".LAN_AD_PURPLE_CPG_BRIDGE_INTRO_34."</li>";
   $purple_cpg_bridge_text  .= "<li>".LAN_AD_PURPLE_CPG_BRIDGE_INTRO_35."</li>";
   $purple_cpg_bridge_text  .= "<li>".LAN_AD_PURPLE_CPG_BRIDGE_INTRO_36."</li>";
   $purple_cpg_bridge_text  .= "<li>".LAN_AD_PURPLE_CPG_BRIDGE_INTRO_37."</li>";
   $purple_cpg_bridge_text  .= "</ol>";
   $purple_cpg_bridge_text .= "<p class='heading3'>".LAN_AD_PURPLE_CPG_BRIDGE_INTRO_50."</p>";
    if ($purple_cpg_bridgeObject->array_Purple_cpg_bridge['installed'] == FALSE)
    {
        $purple_cpg_bridge_text .= "<p>".LAN_AD_PURPLE_CPG_BRIDGE_INTRO_51."</p>";
        $purple_cpg_bridge_text .= "<p>".LAN_AD_PURPLE_CPG_BRIDGE_INTRO_52."</p>";
        $purple_cpg_bridge_text .= "
                    </div>
                    <div class='spacer'>
                        &nbsp;
                    </div>
                    <div class='form_row coloured_grey'>
                        <div class='form_row_button_group'>
                            <div class='form_row_button'><input id='button_cancel' name='button_cancel' class='purple_button' type='submit' value='". LAN_AD_PURPLE_CPG_BRIDGE_INTRO_60."' />
                        </div>
                        <div class='form_row_button'><input id='button_install' name='button_install' class='purple_button' type='submit' value='". LAN_AD_PURPLE_CPG_BRIDGE_INTRO_61."' />
                        </div>
                    </div>
                    ";
    } else {
        $purple_cpg_bridge_text .= "<p>".LAN_AD_PURPLE_CPG_BRIDGE_INTRO_55."</p>";
    }

    $purple_cpg_bridge_text .= "
                </div>
            </fieldset>
        </form>
    </div>
";

// Display the text string into a rendered table with a caption from the language file
$caption = LAN_AD_PURPLE_CPG_BRIDGE_NAME.'::'.LAN_AD_PURPLE_CPG_BRIDGE_MENU_01;
$ns->tablerender($caption, $purple_cpg_bridge_text);

require_once(e_ADMIN . "footer.php");

// ------------------------------------------------------------------------------
// headerjs()
// Load purple_cpg_bridge CCS file into HTML page
// ------------------------------------------------------------------------------
function headerjs()
{
   echo "\n<!-- * Plugin purple_cpg_bridge CSS file  * -->\n";
   echo "<link rel='stylesheet' href='".PURPLE_CPG_BRIDGE_SRC_ABS_PATH."purple_cpg_bridge_admin.css' type='text/css' />\n\n";

// End of function
}

// End of php file
?>