<?php
/******************************************************************************
* purple_cpg_bridge readme file                                               *
*******************************************************************************
*                                                                             *
*   Written by mygoggie                                                       *
*   $Id: admin_purple_cpg_bridge_readme.php                                   *
*   $Source: www.purplescroll.com/ v$                                         *
*   $Revision: 1.1.0 $                                                        *
*   $Date: 2011-02-10 $                                                       *
*   $Author: mygoggie $                                                       *
*                                                                             *
* @copyright Copyright  2007-2010, purplescroll.com, All rights reserved.    *
*                                                                             *
* This file is part of the purple_cpg_bridge plugin for e107                  *
*                                                                             *
* The purple_cpg_bridge plugin for e107 is free software: you can             *
* redistribute it and/or modify it under the terms of the GNU General         *
* Public License as published by the Free Software Foundation, either         *
* version 3 of the License, or (at your option) any later version.            *
*                                                                             *
* The purple_cpg_bridge plugin for e107 is distributed in the hope that it    *
* will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty *
* of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
* GNU General Public License for more details.                                *
*                                                                             *
* You should have received a copy of the GNU General Public License           *
* along with the purple_cpg_bridge plugin for e107.                           *
*                                                                             *
* If not, see <http://www.gnu.org/licenses/>.                                 *
*                                                                             *
******************************************************************************/
// Set the e_token
define('e_TOKEN_FREEZE', true);

// Ensure this program is loaded in admin theme before calling class2
$eplug_admin = TRUE;

// class2.php is the heart of e107, always include it first to give access to e107 constants and variables
require_once('../../class2.php');

// Check to see if the current user has admin permissions for this plugin
if (!getperms("P"))
{
	// No permissions set, redirect to site front page
	header("location:".e_BASE."index.php");
	exit;
}

// Include auth.php rather than header.php ensures an admin user is logged in
require_once(e_ADMIN.'auth.php');

// Set the active menu option for admin_menu.php
$pageid = 'admin_menu_30';

// Load readme file contents
$text = file_get_contents(strtolower(PURPLE_CPG_BRIDGE_DOCS_FILE));
$text = $tp->toHTML($text, TRUE);

// Display the $text string into a rendered table with a caption from the language file
$caption = LAN_AD_PURPLE_CPG_BRIDGE_NAME.'::'.LAN_AD_PURPLE_CPG_BRIDGE_README_01;
$ns->tablerender($caption, $text);

// Display the footer of the current website
require_once(e_ADMIN.'footer.php');

// ------------------------------------------------------------------------------
// headerjs()
// Load purple_cpg_bridge CCS file into HTML page
// ------------------------------------------------------------------------------
function headerjs()
{
   echo "\n<!-- * Plugin purple_cpg_bridge CSS file  * -->\n";
   echo "<link rel='stylesheet' href='".PURPLE_CPG_BRIDGE_SRC_ABS_PATH."purple_cpg_bridge_admin.css' type='text/css' />\n";

// End of function
}
?>