<?php
/******************************************************************************
* purple_cpg_bridge admin updates config file                                 *
*******************************************************************************
*                                                                             *
*   Written by mygoggie                                                       *
*   $Id: purple_cpg_bridge_updates.php                                        *
*   $Source: www.purplescroll.com/ v$                                         *
*   $Revision: 1.1.0 $                                                        *
*   $Date: 2011-02-10 $                                                       *
*   $Author: mygoggie $                                                       *
*                                                                             *
* @copyright Copyright  2007-2010, purplescroll.com, All rights reserved.    *
*                                                                             *
* This file is part of the purple_cpg_bridge plugin for e107                  *
*                                                                             *
* This file is based on code from e107_files/shortcodes/admin_update.sc       *
*                                                                             *
* The purple_cpg_bridge plugin for e107 is free software: you can             *
* redistribute it and/or modify it under the terms of the GNU General         *
* Public License as published by the Free Software Foundation, either         *
* version 3 of the License, or (at your option) any later version.            *
*                                                                             *
* The purple_cpg_bridge plugin for e107 is distributed in the hope that it    *
* will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty *
* of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
* GNU General Public License for more details.                                *
*                                                                             *
* You should have received a copy of the GNU General Public License           *
* along with the purple_cpg_bridge plugin for e107.                           *
*                                                                             *
* If not, see <http://www.gnu.org/licenses/>.                                 *
*                                                                             *
******************************************************************************/
// Set the e_token
define('e_TOKEN_FREEZE', true);

// Load some stuff we need
require_once('../../class2.php');
require_once(e_ADMIN."auth.php");

// Check to see if the current user has admin permissions for this plugin
if (!getperms("P"))
{
	// No permissions set, redirect to site front page
	header("location:".e_BASE."index.php");
	exit;
}

// Declare some stuff we need
global $pageid;                  // Page ID used in admin_menu.php
$array_pluginDetail = array();   // All detail about the latest version of the plugin

// Clear variables
unset($name);
unset($version_flag);
unset($read_flag);
unset($version_checked);

// Set the active menu option for admin_menu.php
$pageid = 'admin_menu_20';


if (isset($_POST['check_updates']))
{
    // Clear variables
    unset($message);
 
    // Set flag that XML file was checked
    $version_checked = TRUE;
    
    // This section checks the XML file on purplescroll.com and compares the version there
    // to the value of the installed plugin.
    if(is_readable(PURPLE_CPG_BRIDGE_PATH.'/plugin.php'))
    {
        // Set flag that file is readable
        $read_flag = TRUE;

       // Declare new XML object
       $reader = new XMLReader();
    
       // Load the file
       include(PURPLE_CPG_BRIDGE_PATH.'/plugin.php');
       
       if(is_readable(PURPLE_CPG_BRIDGE_PATH.'/e_update.php'))
       {
          // Load the file
          include(PURPLE_CPG_BRIDGE_PATH.'/e_update.php');
    
       } else {
          $read_flag = FALSE;
       }
    
       // Get the remote XML file
    	if(!$reader->open($version_url))
    	{
          // Popup to state that file cannot be read
          $text = LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_50.$version_url.LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_51;
          message_handler('P_ALERT', $text, $line = 0, $file = "");
          
          $read_flag = FALSE;
       }
    
       if ($read_flag == TRUE)
       {
          // Find first element 'plugin'
          while ($reader->read())
          {
             if($reader->nodeType == XMLReader::ELEMENT && $reader->localName == 'plugin')
             {
                break;
             }
          }
         
          // So, we are now at first plugin element.
          // Now find the plugin with the attribute 'name' = $eplug_name
          // Code based on some code from the book: "PHP Cookbook"
          do
          {
             if($reader->moveToAttribute('name') && $reader->value == $eplug_name)
             {
                // Set plugin key 'name'
                $array_pluginDetail['name'] = $reader->value;
             
                // Build array with all info about the plugin
                while ($reader->read())
                {               
                   switch ($reader->nodeType)
                   {
                      case XMLReader::ELEMENT;
                         $name = $reader->localName;
                         break;
      
                      case XMLReader::TEXT;
                         $array_pluginDetail[$name] = $reader->value; 
                         break;
    
                      case XMLReader::END_ELEMENT;
                         if ($reader->localName == 'plugin')
                         {
                            break 2;
                         }
                   }
                }
             }
          }  while ($reader->next());
    
          // Check if current installed version is older than version read from the XML file
          $version_flag = version_compare($eplug_version, $array_pluginDetail['version'], "<");
       }
    }
    
    // Display the text string into a rendered table with a caption from the language file
    $caption = LAN_AD_PURPLE_CPG_BRIDGE_NAME.'::'.LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_01;
    
    if ($read_flag == TRUE)
    {
       $ns->tablerender($caption, purple_cpg_bridge_text($array_pluginDetail, $version_flag, $eplug_version));
    
    } else {
       // Could not read file and determine version
       // Define the form to display
       $purple_cpg_bridge_text = '
       <div>
          <table class="config">
             <tr>
                <td class="config header">
                   '.LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_01.'
                </td>
             </tr>
             <tr>
                <td class="config">
                   <p>'.LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_60.'</p>
                </td>
             </tr>
          </table>
       </div>
       ';
       
       $ns->tablerender($caption, $purple_cpg_bridge_text);
    }
}


if(!$version_checked)
{
    // Define the user interface HTML 
    $text = "
    <div>
    <form class='config' name='form_sites' id='form-sites' action='".e_SELF."' method='post'>
    	<fieldset>
            <div>
                <div class='header'>
                    ".LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_01."
                </div>
                <div id='text'>
                    <div>
                        ".LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_03."
                    </div>
                    <div>
                        ".LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_04."
                    </div>
                    <div class='float_right'>
                        <img src='".e_PLUGIN."purple_cpg_bridge/images/purple_cpg_bridge_update_logo.png' alt='purple_cpg_bridge logo' />
                    </div>
                </div>
    			<div class='spacer'>
                    &nbsp;
                </div>
                <div class='form_row coloured_grey'>
                    <div class='form_row_button_group'>
                        <div class='form_row_button'><input class='purple_button' type='submit' name='check_updates' value='".LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_05."'/></div>
                    </div>
                </div>
    		</div>
    	</fieldset>
    </form>
    </div>
    ";
    
    // Display the text string into a rendered table with a caption from the language file
    $caption = LAN_AD_PURPLE_CPG_BRIDGE_NAME.'::'.LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_01;
    $ns->tablerender($caption, $text);
    
}

require_once(e_ADMIN . "footer.php");



// ------------------------------------------------------------------------------
// headerjs()
// Load purple_cpg_bridge CCS file into HTML page
// ------------------------------------------------------------------------------
function headerjs()
{
   echo "\n<!-- * Plugin purple_cpg_bridge CSS file  * -->\n";
   echo "<link rel='stylesheet' href='".e_PLUGIN_ABS."purple_cpg_bridge/src/purple_cpg_bridge_admin.css' type='text/css' />\n";

// End of function
}


// ------------------------------------------------------------------------------
// purple_cpg_bridge_text()
// Declares HTML text to be displayed in Admin page
// ------------------------------------------------------------------------------
function purple_cpg_bridge_text($array_pluginDetail, $version_flag, $eplug_version)
{
   // Define the form to display
   $purple_cpg_bridge_text = '
   <div>
            <table class="config">
               <tr>
                  <td class="config header">
                     '.LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_01.'
                  </td>
               </tr>
               ';
   
   if ($version_flag == FALSE)
   {
      // Latest version is installed
      $purple_cpg_bridge_text .= '
               <tr>
                  <td class="config">
                     <p>'.LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_10.$eplug_version.LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_11.'</p>
                  </td>
               </tr>
               ';
   } else {

      // Newer version is available
      $purple_cpg_bridge_text .= '   
               <tr>
                  <td class="config">
                  ';
      $purple_cpg_bridge_text .= '<p>'.LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_20.'</p>';
      $purple_cpg_bridge_text .= '<p>'.LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_21.'<strong>'.$eplug_version.'</strong>';
      $purple_cpg_bridge_text .= '<br />'.LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_22.'<strong>'.$array_pluginDetail['version'].'</strong>';
      $purple_cpg_bridge_text .= '<br />'.LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_23.'<strong>'.$array_pluginDetail['date'].'</strong>';
      $purple_cpg_bridge_text .= '<br />'.LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_24.'<strong>'.$array_pluginDetail['author'].'</strong></p>';
      $purple_cpg_bridge_text .= '<p>'.LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_30.'<a href="'.$array_pluginDetail['URL'].'" target="_blank">'.LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_32.'</a></p>';
      $purple_cpg_bridge_text .= '<p>'.LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_31.'<a href="'.$array_pluginDetail['download_path'].'" target="_blank">'.LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_32.'</a></p>';
      $purple_cpg_bridge_text .= '
                  </td>
               </tr>
               ';
   }

   $purple_cpg_bridge_text .= '
      </table>
   </div>';
   
   return $purple_cpg_bridge_text;

// End of function
}

// End of php file
?>