<?php
/******************************************************************************
* Coppermine userclass configuration                                          *
*******************************************************************************
*                                                                             *
*  Written by mygoggie                                                        *
*  $Id: admin_purple_cpg_bridge_userclass.php                                 *
*  $Source: www.purplescroll.com/ v$                                          *
*  $Revision: 1.1.0 $                                                         *
*  $Date: 2011-02-10 $                                                        *
*  $Author: mygoggie $                                                        *
* @copyright Copyright  2010, purplescroll.com, All rights reserved.         *
*                                                                             *
* This file is part of the puprle_login plugin for e107                       *
*                                                                             *
* The purple_cpg_bridge plugin for e107 is free software: you can             *
* redistribute it and/or modify it under the terms of the GNU General         *
* Public License as published by the Free Software Foundation, either         *
* version 3 of the License, or (at your option) any later version.            *
*                                                                             *
* The purple_cpg_bridge plugin for e107 is distributed in the hope that it    *
* will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty *
* of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
* GNU General Public License for more details.                                *
*                                                                             *
* You should have received a copy of the GNU General Public License           *
* along with the purple_cpg_bridge plugin for e107.                           *
*                                                                             *
* If not, see <http://www.gnu.org/licenses/>.                                 *
*                                                                             *
******************************************************************************/

// Ensure this program is loaded in admin theme before calling' class2
$eplug_admin = TRUE;

// Set the e_token
define('e_TOKEN_FREEZE', true);

//' class2.php is the heart of e107, always include it first to give access to e107 constants and variables
require_once('../../class2.php');

// Check to see if the current user has admin permissions for this plugin
if (!getperms("P"))
{
	// No permissions set, redirect to site front page
	header("location:".e_BASE."index.php");
	exit;
}

// Include auth.php rather than header.php ensures an admin user is logged in
require_once(e_ADMIN.'auth.php');

// File that verifies $_POST data
$fileverify = e_SELF;

// Load the required plugin class file
require_once(PURPLE_CPG_BRIDGE_HANDLER_PATH.'purple_cpg_bridge_class.php');
require_once(PURPLE_CPG_BRIDGE_HANDLER_PATH.'purple_handlers_class.php');
require_once(PURPLE_CPG_BRIDGE_HANDLER_PATH.'purple_user_class.php');
require_once(PURPLE_CPG_BRIDGE_HANDLER_PATH.'purple_userclass_class.php');

// Instantiate objects
$purple_cpg_bridgeObject = purple_cpg_bridge::get_instance();   // Object that contains all information regarding purple_cpg_bridge
$purple_handlersObject = purple_handlers::get_instance();       // Object that contains all information regarding handlers
$purple_userObject = purple_user::get_instance();               // Object that contains all information regarding users
$purple_userclassObject = purple_userclass::get_instance();     // Object that contains all information regarding userclasses

// Load 'purple_cpg_bridge' prefs
$purple_cpg_bridgeObject->loadPrefs();

// Set the active menu option for admin_menu.php
if($purple_cpg_bridgeObject->array_Purple_cpg_bridge['installed'] == FALSE)
{ 
    $pageid = 'admin_menu_02';

} else {

    $pageid = 'admin_menu_03';
}

// Check if userclass for Coppermine administrators exists
$test = in_array($purple_cpg_bridgeObject->array_Purple_cpg_bridge['adminUserclass'], $purple_userclassObject->getUserclassList());
//print "<br /> Test = ".$test;
// If Coppermine administrators userclass does not exist, create it
if (empty($test))
{
//print "<br /> Test2 = ".$test;
    $purple_userclassObject->new_userclass($purple_cpg_bridgeObject->array_Purple_cpg_bridge['adminUserclass'], LAN_AD_PURPLE_CPG_BRIDGE_411, 254);
}

    // If userclass for Coppermine users does not exist, create it
    $userUserclassID = array_search($purple_cpg_bridgeObject->array_Purple_cpg_bridge['userUserclass'], $purple_userclassObject->getUserclassList());
//print "<br /> userUserclassID = ".$userUserclassID;
if (empty($userUserclassID))
{
    // Get the Coppermine admin userclass key
    $adminUserclassID = array_search($purple_cpg_bridgeObject->array_Purple_cpg_bridge['adminUserclass'], $purple_userclassObject->getUserclassList());

    // Create userclass and make Coppermine admins the userclass to manage this userclass
    $purple_userclassObject->new_userclass($purple_cpg_bridgeObject->array_Purple_cpg_bridge['userUserclass'], LAN_AD_PURPLE_CPG_BRIDGE_410, $adminUserclassID);

    // Get the user's userclass ID
    $userUserclassID = array_search($purple_cpg_bridgeObject->array_Purple_cpg_bridge['userUserclass'], $purple_userclassObject->getUserclassList());
//print "<br /> userUserclassID = ".$userUserclassID;
    // Set the userclass IDs
    $purple_cpg_bridgeObject->array_Purple_cpg_bridge['adminUserclassID'] = $adminUserclassID;
    $purple_cpg_bridgeObject->array_Purple_cpg_bridge['userUserclassID'] = $userUserclassID;
//print "<br /> userUserclassID = ".$purple_cpg_bridgeObject->array_Purple_cpg_bridge['userUserclassID'];
    // Save 'purple_cpg_bridge' prefs
    $purple_cpg_bridgeObject->savePrefs();
}

// If the submit button is hit, clean the data and update the array array_Purple_login
// Once updated, write the data to the database
if (isset($_POST['button_submit']))
{

    // Clean the returned array
    $array = $tp->toDB($_POST);

    // Get all the registered users not banned
    $arrayUsers = $purple_userObject->getUserDetails('user', e_UC_MEMBER, 'user_id, user_class', 'user_id');

    // Get all the administrators
    $arrayAdmins = $purple_userObject->getUserDetails('user', e_UC_ADMIN, 'user_id, user_class', 'user_id');

    // Strip out all admins from user array
    $arrayOnlyUsers = $purple_handlersObject->array_diff_no_cast($arrayUsers, $arrayAdmins);

    // Get the user array in the correct format
    foreach ($arrayOnlyUsers as $userID => $value)
    {
        $arrayCleanedUsers[$value['user_id']] = $value['user_class']; 
    }

    // Get the admin array in the correct format
    foreach ($arrayAdmins as $userID => $value)
    {
        $arrayCleanedAdmins[$value['user_id']] = $value['user_class']; 
    }

//print "<br /> User class selected = ".$array['CPG_user_class'];
//print "<br /> Existing User class = ".$pref['purple_cpg_bridge']['userUserclassID'];
//print "<br /> Admin class selected = ".$array['CPG_admin_class'];
//print "<br /> Existing Admin class = ".$pref['purple_cpg_bridge']['adminUserclassID'];

    // Check if user userclass has changed
    if ($purple_cpg_bridgeObject->array_Purple_cpg_bridge['userUserclassID']  !== $array['CPG_user_class'])
    {

//print "<br /> User class not the same ...";

        // Remove the userclass from the users
        unset($arrayCleanedUsers);
        $arrayCleanedUsers = $purple_userclassObject->remove_userclass($purple_cpg_bridgeObject->array_Purple_cpg_bridge['userUserclassID']);

        // Allocate the new userclass
        $purple_cpg_bridgeObject->array_Purple_cpg_bridge['userUserclassID'] = $array['CPG_user_class'];

        // Save 'purple_cpg_bridge' prefs
        $purple_cpg_bridgeObject->savePrefs();

    }

    // Check if admin userclass has changed
    if ($purple_cpg_bridgeObject->array_Purple_cpg_bridge['adminUserclassID'] !== $array['CPG_admin_class'])
    {
        // Remove the userclass from the users
        unset($arrayCleanedAdmins);
        $arrayCleanedAdmins = $purple_userclassObject->remove_userclass($purple_cpg_bridgeObject->array_Purple_cpg_bridge['adminUserclassID']);

        // Allocate the new userclass
        $purple_cpg_bridgeObject->array_Purple_cpg_bridge['adminUserclassID'] = $array['CPG_admin_class'];

        // Save 'purple_cpg_bridge' prefs
        $purple_cpg_bridgeObject->savePrefs();

    }

    // Add all registered users to the class 'coppermine users'
    $purple_userclassObject->add_userclass($array['CPG_user_class'], $arrayCleanedUsers);

    // Add all main admins to the class 'coppermine admins'
    $purple_userclassObject->add_userclass($array['CPG_admin_class'], $arrayCleanedAdmins);

    // Clear the variable to update
    unset($_POST);
    unset($array);

    // Go to the next HTML page
    if(empty($purple_cpg_bridgeObject->array_Purple_cpg_bridge['installed']))
    {
        // Set the flag to indicate the files were copied
        $purple_cpg_bridgeObject->array_Purple_cpg_bridge['installed'] = TRUE;

        // Save 'purple_cpg_bridge' prefs
        $purple_cpg_bridgeObject->savePrefs();

        header('location:'.PURPLE_CPG_BRIDGE_PATH.'admin_purple_cpg_bridge_readme.php');

    } else {

        header('location:'.e_SELF);
    }
}

// Define the user interface HTML 
$text = "
<div>
    <form name='form_sites' id='form_sites' action='".e_SELF."' method='post'>
		<div class='config'>
            <div class='header'>
                ".LAN_AD_PURPLE_CPG_BRIDGE_400."
			</div>
			<div class='form_intro'>
                ".LAN_AD_PURPLE_CPG_BRIDGE_401."
            </div>
            <div class='spacer'>
                &nbsp;
            </div>
            <div class='heading3 coloured_grey'>
                ".LAN_AD_PURPLE_CPG_BRIDGE_402."
            </div>
            <div class='form_row'>
				<div class='form_row_cell_title content'>
					".LAN_AD_PURPLE_CPG_BRIDGE_410."
				</div>
				<div class='form_row_cell content'>
				";

                // Call method to determine users per userclass
				$text .= $purple_userclassObject->buildUserclassList('userclassSelect', 'CPG_user_class', 'form_input', $purple_cpg_bridgeObject->array_Purple_cpg_bridge['userUserclassID']);

      $text .= "</div>
                <div class='form_row_image content'>
                    <a href='#user_class_INFO_ID' class='fancybox'>
                        <img src='images/help.gif' title='".LAN_AD_PURPLE_CPG_BRIDGE_410_INFO."' alt='".LAN_AD_PURPLE_CPG_BRIDGE_HELP.": ".LAN_AD_PURPLE_CPG_BRIDGE_410."'/>
                    </a>
                    <div class='hidden'>
                        <div id='user_class_INFO_ID'>
                            <p>
                                ".LAN_AD_PURPLE_CPG_BRIDGE_410_INFO."
                            </p>
                        </div>
                    </div>
                </div>
            </div>
            <div class='form_row coloured_grey'>
				<div class='form_row_cell_title content'>
					".LAN_AD_PURPLE_CPG_BRIDGE_411."
				</div>
				<div class='form_row_cell content'>
				";

                // Call method to determine admin users per userclass
				$text .= $purple_userclassObject->buildUserclassList('adminclassSelect', 'CPG_admin_class', 'form_input', $purple_cpg_bridgeObject->array_Purple_cpg_bridge['adminUserclassID']);

      $text .= "</div>
                <div class='form_row_image content'>
                    <a href='#admin_class_INFO_ID' class='fancybox'>
                        <img src='images/help.gif' title='".LAN_AD_PURPLE_CPG_BRIDGE_411_INFO."' alt='".LAN_AD_PURPLE_CPG_BRIDGE_HELP.": ".LAN_AD_PURPLE_CPG_BRIDGE_411."'/>
                    </a>
                    <div class='hidden'>
                        <div id='admin_class_INFO_ID'>
                            <p>
                                ".LAN_AD_PURPLE_CPG_BRIDGE_411_INFO."
                            </p>
                        </div>
                    </div>
                </div>
			</div>
            <div class='spacer'>
                &nbsp;
            </div>
            <div class='form_row coloured_grey'>
                <div class='form_row_button_group'>
                    <div class='form_row_button'><input id='button_submit' name='button_submit' class='purple_button' type='submit' value='";
                    if($purple_cpg_bridgeObject->array_Purple_cpg_bridge['installed'] == FALSE)
                    { 
                        $text .= LAN_AD_PURPLE_CPG_BRIDGE_490;
                    } else {
                        $text .= LAN_AD_PURPLE_CPG_BRIDGE_491;
                    }
                    $text .= "'/>
                    </div>
                </div>
            </div>
		</div>
    </form>
</div>
";

// Display the $text string into a rendered table with a caption from the language file
$caption = LAN_AD_PURPLE_CPG_BRIDGE_NAME.'::'.LAN_AD_PURPLE_CPG_BRIDGE_MENU_02;
$ns->tablerender($caption, $text);

// Display the footer of the current website
require_once(e_ADMIN.'footer.php');

// ------------------------------------------------------------------------------
// headerjs()
// Load purple_cpg_bridge CCS file into HTML page
// ------------------------------------------------------------------------------
function headerjs()
{
    echo "\n<!-- * Plugin purple_cpg_bridge CSS file  * -->\n";
    echo "<link rel='stylesheet' href='".e_PLUGIN_ABS."purple_cpg_bridge/src/purple_cpg_bridge_admin.css' type='text/css' />\n";

// End of function
}

?>