<?php
/******************************************************************************
* purple_cpg_bridge configuration file                                        *
*******************************************************************************
*                                                                             *
*   Written by mygoggie                                                       *
*   $Id: purple_cpg_bridge_configuration.php                                  *
*   $Source: www.purplescroll.com/ v$                                         *
*   $Revision: 1.1.0 $                                                        *
*   $Date: 2011-02-10 $                                                       *
*   $Author: mygoggie $                                                       *
*                                                                             *
* @copyright Copyright  2007-2010, purplescroll.com, All rights reserved.    *
*                                                                             *
* This file is part of the purple_cpg_bridge plugin for e107                  *
*                                                                             *
* The purple_cpg_bridge handler for e107 is free software: you can            *
* redistribute it and/or modify it under the terms of the GNU General         *
* Public License as published by the Free Software Foundation, either         *
* version 3 of the License, or (at your option) any later version.            *
*                                                                             *
* The purple_cpg_bridge plugin for e107 is distributed in the hope that it    *
* will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty *
* of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
* GNU General Public License for more details.                                *
*                                                                             *
* You should have received a copy of the GNU General Public License           *
* along with the purple_cpg_bridge plugin for e107.                           *
*                                                                             *
* If not, see <http://www.gnu.org/licenses/>.                                 *
*                                                                             *
******************************************************************************/
class purple_cpg_bridge_config
{

    function __construct()
    {
        // Declare object instance
        $purple_cpg_bridgeObject = purple_cpg_bridge::get_instance();

        // ----------------------------------------------------------------------------------
        // Declare default purple_cpg_bridge settings
        // ----------------------------------------------------------------------------------
        $array_Config = array(
            'installed'          => FALSE,               // Flag to indicate if the bridge is installed
            'coppermine_path'    => NULL,                // Path to the Coppermine installation
            'e107_path'          => NULL,                // Path to e107 installation
            'e107_forum_name'    => NULL,                // Name of e107 forum plugin <-- Maybe change this into menu link array in future
            'e107_forum_path'    => NULL,                // Path to e107 forum plugin installation
            'flagMapped'         => FALSE,               // Flag to indicate if Coppermine to e107 mapping has been initialised
            'userUserclass'      => 'coppermine_users',  // Userclass for Coppermine users
            'userUserclassID'    => NULL,                // Userclass ID for Coppermine users
            'adminUserclass'     => 'coppermine_admins', // Userclass for Coppermine admins
            'adminUserclassID'   => NULL                 // Userclass for Coppermine admins
        );

        // Copy declared array to global array
        $purple_cpg_bridgeObject->array_Purple_cpg_bridge = $array_Config;

        // Clear array
        unset($array_Config);

    } // End of constructor

}// End of class

?>