<?php
/******************************************************************************
* purple_user_class file                                                      *
*******************************************************************************
*                                                                             *
*   Written by mygoggie                                                       *
*   $Id: purple_user_class.php                                                *
*   $Source: www.purplescroll.com/ v$                                         *
*   $Revision: 1.1.0 $                                                        *
*   $Date: 2011-02-10 $                                                       *
*   $Author: mygoggie $                                                       *
*                                                                             *
* @copyright Copyright  2007-2010, purplescroll.com, All rights reserved.    *
*                                                                             *
* This file is part of the purple_login plugin for e107                       *
*                                                                             *
* The purple_login plugin for e107 is free software: you can                  *
* redistribute it and/or modify it under the terms of the GNU General         *
* Public License as published by the Free Software Foundation, either         *
* version 3 of the License, or (at your option) any later version.            *
*                                                                             *
* The purple_login plugin for e107 is distributed in the hope that it         *
* will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty *
* of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
* GNU General Public License for more details.                                *
*                                                                             *
* You should have received a copy of the GNU General Public License           *
* along with the purple_login plugin for e107.                                *
*                                                                             *
* If not, see <http://www.gnu.org/licenses/>.                                 *
*                                                                             *
******************************************************************************/

// Protect the file from direct access
if(!defined("e107_INIT")){ exit; }

class purple_user
{

    static private $purple_user_instanceConfig = null;
    
    // ------------------------------------------------------------------------------
    // PHP5+ Constructor
    // ------------------------------------------------------------------------------
    function __construct()
    {

    // End of constructor
    }


    // ------------------------------------------------------------------------------
    // get_instance method
    // ------------------------------------------------------------------------------
    static public function get_instance($location = NULL)
    {
        // If there is not already an instance of this class, instantiate one.
        if (self::$purple_user_instanceConfig == null){
            self::$purple_user_instanceConfig = new purple_user($location);
        }

        return self::$purple_user_instanceConfig;

    // End of method
    }


    // ------------------------------------------------------------------------------>
    // NAME: getUsersPerUserclass
    // ------------------------------------------------------------------------------>
    // Function:
    // Get the users per userclass specified
    //
    // Parameters:
    // $userclass - the userclass to find the users for
    //
    // Return:
    // Returns an array of users in the form: " Username (User's login name) "
    // ------------------------------------------------------------------------------>
    function getUsersPerUserclass($userclass_id)
    {
        // Get the file containing the database details
        $result = require_once("/usr/files/www/www.development.local/purple.php");

        // Define some variables we will need
        $table = 'user';
        $fields = 'user_id,
                   user_name,
                   user_loginname';
        $arguments = "user_class = '{$userclass_id}' OR user_class REGEXP('^{$userclass_id},') OR user_class REGEXP(',{$userclass_id},') OR user_class REGEXP(',{$userclass_id}$') AND user_ban != 1 ORDER BY user_name ";
        $SQLstring = 'SELECT '.$fields.' FROM '.$mySQLprefix.$table.' WHERE '.$arguments;

        // Connect to the database server
        $purpleDB = mysql_connect($mySQLserver,$mySQLuser,$mySQLpassword);

        // Select and open the database
        $currentDB = mysql_selectdb($mySQLdefaultdb) or die (mysql_error());

        // Get the data
        $result = mysql_query($SQLstring) or die(mysql_error());

        // Get each row of data and process it
        while ($row = mysql_fetch_array($result))
        {
            // Extract row and create variables from each array key
            extract($row);

            // Build new array
            // IMPORTANT: Specify the key and value fields to match when calling.
            // Example:
            //  userclass_id.selectChain({
            //      target: user,
            //      key: 'user_id',
            //      value: 'user_detail',
            //      url: 'handlers/purple_login_user_class.php',
            //      data: { ajax: true }
            //  }).trigger('change');
            $arrayUsers[] = array('user_id'=>$user_id, 'user_detail'=>$user_name.' ('.$user_loginname.')');
        } 

        // Check if array contains any values. If empty post message in select box
        if(empty($arrayUsers))
        {
            // >>>>> mygoggie - Somehow this needs to refer to the constant in the language file
            $arrayUsers[] = 'No user allocated to userclass';
        }

        return $arrayUsers;

    } // EO method getUsersPerUserclass()

    // ------------------------------------------------------------------------------>
    // NAME: getUserDetails
    // ------------------------------------------------------------------------------>
    // @function:
    // Get the user detail per user(s) specified
    //
    // @parameters:
    // $table - The user table to use
    // $userFields - The user fields to return
    // $userclass - List of users to return based on the userclass they belong too
    // $order - Order the return list by this parameter. Default is user-name
    //
    // @return:
    // Returns an array of user's detail
    //
    // @comments:
    // Will expand this to get specific user details
    // ------------------------------------------------------------------------------>
    function getUserDetails($table = NULL, $userclass = e_UC_MEMBER, $userFields = 'user_id, user_name', $order = 'user_name')
    {

        //Declare variables
    	global $sql;
    	global $tp;

    	// Determine the list of users to return based on the userclass they belong too
    	switch ($userclass)
		{
			case e_UC_ADMIN:
				$where = "user_admin = 1";
				break;

			case e_UC_MEMBER:
				$where = "user_ban != 1";
				break;

			case e_UC_NOBODY:
				return "";
				break;

			default:
				$where = "user_class REGEXP '(^|,)(".$tp -> toDB($userclass, true).")(,|$)'";
				break;
		}

        // Build the SQl string
        $string = $where;
        if(!empty($order))
        {
            $string .= " ORDER BY {$order}";
        }

        // Select and check if user table contains data
        $has_data = $sql->db_Select($table, $userFields, $string);
        
        // Get the user values from the DB
        // >>>>>> mygoggie - Expand later to include specific user or specific user field
		if(!empty($has_data))
		{
            while($row = $sql->db_Fetch())
            {
                $arrayUserList[] = $row;
            }
		}

        return $arrayUserList;


    } // EO method getUserDetails()


    // ------------------------------------------------------------------------------>
    // NAME: updateUserDetails
    // ------------------------------------------------------------------------------>
    // @function:
    // Update the user detail per user(s) specified
    //
    // @parameters:
    // $tabel - The table to access
    // $userDetail - This is an array of all the user field/value pairs
    //
    // @return:
    // Returns success or failure
    //
    // @comments:
    // $userDetail is an array in the following format
    // array('userID' => $value, 'field1' => $field1, 'field2' => field2, etc)
    // User ID must be the first key/value pair
    // ------------------------------------------------------------------------------>
    function updateUserDetails($table = NULL, $userDetail = NULL)
    {

        //Declare variables
    	global $sql;
    	global $eArrayStorage;

        // Determine the userID
        // Get the array keys
        $arrayKeys = array_keys($userDetail);
        $userIDKey = $arrayKeys[0];

        // Get the userID
        $userID = $userDetail[$userIDKey];

        // Remove the userID from the array
        unset($userDetail[$userIDKey]);

        // Now we have only user fields in the array
        // Loop through each and update the specific field
        // MYGOGGIE >>>>  Maybe there is a faster method - CHECK!
        //$temp = $eArrayStorage->WriteArray($userDetail);
        foreach($userDetail as $userField => $value)
        {
            $success = $sql->db_Update($table, "{$userField}='{$value}' WHERE {$userIDKey}='{$userID}' ");
            //print "<br /> table = ".$table;
            //print "<br />userField = ".$userField;
            //print "<br />value = ".$value;
            //print "<br />userIDKey = ".$userIDKey;
            //print "<br />userID = ".$userID;
            //print "<br /> SUCESS = ".$success;
        }

        return $success;

    
    } // EO method updateUserDetails()

// End of class
}

// End of php file
?>