<?php
/******************************************************************************
* purple_cpg_bridge plugin file                                               *
*******************************************************************************
*                                                                             *
*   Written by mygoggie                                                       *
*   $Id: plugin.php                                                           *
*   $Source: www.purplescroll.com/ v$                                         *
*   $Revision: 1.1.0 $                                                        *
*   $Date: 2011-02-10 $                                                       *
*   $Author: mygoggie $                                                       *
*                                                                             *
* @copyright Copyright  2007-2010, purplescroll.com, All rights reserved.    *
*                                                                             *
* This file is part of the purple_cpg_bridge plugin for e107                  *
*                                                                             *
* The purple_cpg_bridge plugin for e107 is free software: you can             *
* redistribute it and/or modify it under the terms of the GNU General         *
* Public License as published by the Free Software Foundation, either         *
* version 3 of the License, or (at your option) any later version.            *
*                                                                             *
* The purple_cpg_bridge plugin for e107 is distributed in the hope that it    *
* will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty *
* of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
* GNU General Public License for more details.                                *
*                                                                             *
* You should have received a copy of the GNU General Public License           *
* along with the purple_cpg_bridge plugin for e107.                           *
*                                                                             *
* If not, see <http://www.gnu.org/licenses/>.                                 *
*                                                                             *
******************************************************************************/

// Protect the file from direct access
if(!defined('e107_INIT')){ exit; }

// Set the e_token
define('e_TOKEN_FREEZE', true);

// Load the language files
$plugin_lan = e_PLUGIN.'purple_cpg_bridge/languages/'.e_LANGUAGE.'/admin/lan_admin_purple_cpg_bridge_'.e_LANGUAGE.'.php';

if (e_LANGUAGE != 'English' && file_exists($plugin_lan))
{
   include_lan($plugin_lan);
} else {
   include_lan(e_PLUGIN.'purple_cpg_bridge/languages/English/admin/lan_admin_purple_cpg_bridge_English.php');
}

// plugin_info -------------------------------------------------------------------------------------------------------
$eplug_name = 'purple_cpg_bridge';
$eplug_version = '1.1.0';
$eplug_date = '2011-02-10';
$eplug_author = 'mygoggie';
$eplug_url = 'http://www.purplescroll.com';
$eplug_email = 'http://www.purplescroll.com/contact.php';
$eplug_description = LAN_AD_PURPLE_CPG_BRIDGE_INSTALL01;
$eplug_compatible = 'e107v0.7+';
$eplug_readme = 'README.PDF';
$eplug_compliant = TRUE;
$eplug_status = FALSE;
$eplug_latest = FALSE;

// Name of the plugin's directory
$eplug_folder = 'purple_cpg_bridge';

// Name of menu item for plugin
$eplug_name = 'purple_cpg_bridge';

// Name of the admin configuration file
$eplug_conffile = 'admin_purple_cpg_bridge_intro.php';

// Icon image and caption text
$eplug_icon = e_PLUGIN.$eplug_folder.'/images/purple_cpg_bridge_icon.png';
$eplug_caption = LAN_AD_PURPLE_CPG_BRIDGE_INSTALL02;
$eplug_icon_small = e_PLUGIN.$eplug_folder.'/images/purple_cpg_bridge_icon.png';

// Create a link in main menu (yes=TRUE, no=FALSE)
$eplug_link = FALSE;

// $plugins_directory can be named differently than the default e107_plugins in the e107_config
$eplug_link_url = e_PLUGIN.$eplug_folder.'/admin_purple_cpg_bridge_intro.php';

// Get SQL table names and configuration
$eplug_sql = file_get_contents(e_PLUGIN.$eplug_folder.'/purple_cpg_bridge_sql.php');
preg_match_all('/CREATE TABLE (.*?)\(/i', $eplug_sql, $matches);
$eplug_table_names = $matches[1];

// Create SQL tables from file purple_cpg_bridge_sql.php
// MPREFIX must be used because database prefix can be customized instead of default e107_
$eplug_tables = explode(';', str_replace('CREATE TABLE ', 'CREATE TABLE ' . MPREFIX, $eplug_sql));
for ($i = 0; $i < count($eplug_tables); $i++)
{
    $eplug_tables[$i] .= ';';
}
array_pop($eplug_tables); // Get rid of last (empty) entry

// Text to display after plugin successfully installed
$eplug_done = LAN_AD_PURPLE_CPG_BRIDGE_INSTALL03.$eplug_name.LAN_AD_PURPLE_CPG_BRIDGE_INSTALL04.$eplug_version.LAN_AD_PURPLE_CPG_BRIDGE_INSTALL05;

// To do when plugin is uninstalled
if (!function_exists('purple_cpg_bridge_uninstall'))
{
    function purple_cpg_bridge_uninstall()
    {
        // Load the required plugin class file
        require_once(PURPLE_CPG_BRIDGE_HANDLER_PATH.'purple_userclass_class.php');
        require_once(PURPLE_CPG_BRIDGE_HANDLER_PATH.'purple_cpg_bridge_class.php');
        require_once(e_HANDLER.'plugin_class.php');

        // Instantiate objects
        $purple_userclassObject = purple_userclass::get_instance();     // Object that contains all information regarding userclasses
        $purple_cpg_bridgeObject = purple_cpg_bridge::get_instance();   // Object that contains all information regarding purple_cpg_bridge
        $purpleLinkObject = new e107plugin();                           // Object that contains info regarding e107 plugins

        // Load 'purple_cpg_bridge' prefs
        $purple_cpg_bridgeObject->loadPrefs();

        // Delete the Coppermine admin userclass
        $purple_userclassObject->delete_userclass($purple_cpg_bridgeObject->array_Purple_cpg_bridge['adminUserclassID']);

        // Delete the Coppermine user userclass
        $purple_userclassObject->delete_userclass($purple_cpg_bridgeObject->array_Purple_cpg_bridge['userUserclassID']);

        // Remove the site link to Coppermine
        $purpleLinkObject->manage_link('remove', $purple_cpg_bridgeObject->array_Purple_cpg_bridge['coppermine_path'], LAN_AD_PURPLE_CPG_BRIDGE_SITELINK, $link_class=0);

    }
}

?>